import { Component, Input } from '@angular/core';
import { ReactiveFormsModule, UntypedFormGroup } from '@angular/forms';
import { CheckboxEditorComponent } from '@ods/component';
import { UserFormService } from '../user.formservice';

@Component({
  selector: 'admin-user-form-roles',
  standalone: true,
  imports: [CheckboxEditorComponent, ReactiveFormsModule],
  templateUrl: './user-form-roles.component.html',
})
export class UserFormRolesComponent {
  @Input() formGroupParent: UntypedFormGroup;

  public readonly UserFormService = UserFormService;
}
